org.apache.http.impl.io

## Class DefaultHttpResponseWriter

- java.lang.Object
- - org.apache.http.impl.io.AbstractMessageWriter<HttpResponse>
  - - org.apache.http.impl.io.DefaultHttpResponseWriter

- All Implemented Interfaces:
    HttpMessageWriter<HttpResponse>

      @NotThreadSafe
      public class DefaultHttpResponseWriter
      extends AbstractMessageWriter<HttpResponse>

  HTTP response writer that serializes its output to an instance of `SessionOutputBuffer`.
  Since:
    4.3

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.io.AbstractMessageWriter

      `lineBuf, lineFormatter, sessionBuffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseWriter(SessionOutputBuffer buffer)`
    `DefaultHttpResponseWriter(SessionOutputBuffer buffer, LineFormatter formatter)` Creates an instance of DefaultHttpResponseWriter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeHeadLine(HttpResponse message)` Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

    - ### Methods inherited from class org.apache.http.impl.io.AbstractMessageWriter

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpResponseWriter

          public DefaultHttpResponseWriter(SessionOutputBuffer buffer,
                                   LineFormatter formatter)

      Creates an instance of DefaultHttpResponseWriter.
      Parameters:
        `buffer` - the session output buffer.
        `formatter` - the line formatter If `null` `BasicLineFormatter.INSTANCE` will be used.

    - #### DefaultHttpResponseWriter

          public DefaultHttpResponseWriter(SessionOutputBuffer buffer)

  - ### Method Detail

    - #### writeHeadLine

          protected void writeHeadLine(HttpResponse message)
                                throws IOException

      Description copied from class: `AbstractMessageWriter`
      Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.
      Specified by:
        `writeHeadLine` in class `AbstractMessageWriter<HttpResponse>`
      Parameters:
        `message` - the message whose first line is to be written out.
      Throws:
        `IOException` - in case of an I/O error.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.